Bug 1460293 - Custom Button: None credential is always used during Ansible Playbook Service provisioning
Custom Button: None credential is always used during Ansible Playbook Service...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.8.0
All All
unspecified Severity medium
: GA
: 5.8.1
Assigned To: Lucy Fu
Dmitry Misharov
automate:ansible:playbook:service:button
: ZStream
Depends On: 1452557
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 11:29 EDT by Satoe Imaishi
Modified: 2017-08-02 13:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1452557
Environment:
Last Closed: 2017-08-02 13:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-09 11:33:19 EDT
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/6c87b04e9633d5a51845a0ebeb52dbc70b276848

commit 6c87b04e9633d5a51845a0ebeb52dbc70b276848
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon May 22 16:07:13 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 9 11:29:46 2017 -0400

    Merge pull request #118 from lfu/credential_in_service_dialog_1452557
    
    OrderAnsiblePlaybook method should collect machine credential.
    (cherry picked from commit eae08b4005f3215439fda376dda7188a4fc3c23d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460293

 .../__methods__/order_ansible_playbook.rb          |  9 ++++-
 .../__methods__/order_ansible_playbook_spec.rb     | 47 +++++++++++++++++++++-
 2 files changed, 53 insertions(+), 3 deletions(-)
Comment 3 Dmitry Misharov 2017-06-29 10:04:39 EDT
Verified in 5.8.1.0.20170623170756_3ed4411. Credentials are successfully used which user defines in service dialog dropdown.
Comment 5 errata-xmlrpc 2017-08-02 13:28:27 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.